Subject: [bug#67473] [PATCH gnome-team v2 09/13] gnu: Remove libsoup-minimal.

From: Liliana Marie Prikler <[email-masked]>
Date: Wed, 29 Nov 2023 17:22:49 +0100

Am Mittwoch, dem 29.11.2023 um 07:25 +0100 schrieb Vivien Kraus:
> Le mercredi 29 novembre 2023 à 06:21 +0100, Liliana Marie Prikler a
> écrit :
> > Still, there were
> > other users of libsoup-minimal over libsoup, so we might want to
> > keep
> > the variable even as we update both to a new, shared version.
> I’m tempted to say the users of libsoup-minimal used to depend on
> libsoup@2, so they put libsoup-minimal-2, but then the package
> required
> libsoup@3, and they just removed the "-2" suffix. Is there another
> reason packages would want a doc-less version of libsoup?
Closure size?

> I can make another series revision where libsoup-minimal is a
> deprecated-package pointing to libsoup, or a doc-less libsoup@3. I
> think the deprecated-package solution is the most useful. What do you
> think?
I'd really like a second opinion here.  All I can say is that I don't
really trust my own gut feeling here.

Cheers